Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5116)
@@ -97,5 +97,5 @@
         IMPLICIT NONE
 
-        write(*,*) 'iso_verif_init 99: entree'
+        WRITE(*,*) 'iso_verif_init 99: entree'
         deltalim=300.0
         deltalim_snow=500.0
@@ -113,6 +113,6 @@
 CALL getin_p('deltalimtrac',deltalimtrac)
 
-write(*,*) 'iso_O17,iso_O18,iso_HDO=',iso_O17,iso_O18,iso_HDO
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+WRITE(*,*) 'iso_O17,iso_O18,iso_HDO=',iso_O17,iso_O18,iso_HDO
+IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
   CALL getin_p('O17_verif',O17_verif)
   CALL getin_p('o17excess_bas',o17excess_bas)
@@ -120,17 +120,17 @@
   CALL getin_p('nlevmaxO17',nlevmaxO17)
 END IF
-IF ((iso_HDO.gt.0).and.(iso_O18.gt.0)) then
+IF ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
   CALL getin_p('dexcess_min',dexcess_min)
   CALL getin_p('dexcess_max',dexcess_max)
 END IF
 
-write(*,*) 'deltalim=',deltalim
-write(*,*) 'deltaDmin=',deltaDmin      
-write(*,*) 'deltalimtrac=',deltalimtrac  
-write(*,*) 'O17_verif=',O17_verif
-write(*,*) 'o17excess_bas=',o17excess_bas
-write(*,*) 'o17excess_haut=',o17excess_haut  
-write(*,*) 'dexcess_min=',dexcess_min
-write(*,*) 'dexcess_max=',dexcess_max
+WRITE(*,*) 'deltalim=',deltalim
+WRITE(*,*) 'deltaDmin=',deltaDmin
+WRITE(*,*) 'deltalimtrac=',deltalimtrac
+WRITE(*,*) 'O17_verif=',O17_verif
+WRITE(*,*) 'o17excess_bas=',o17excess_bas
+WRITE(*,*) 'o17excess_haut=',o17excess_haut
+WRITE(*,*) 'dexcess_min=',dexcess_min
+WRITE(*,*) 'dexcess_max=',dexcess_max
 
         END SUBROUTINE  iso_verif_init
@@ -150,5 +150,5 @@
 
         if (iso_verif_egalite_choix_nostop(a,b,err_msg, &
-                 errmax,errmaxrel).eq.1) then
+                 errmax,errmaxrel).eq.1) THEN
                 stop
         endif
@@ -156,5 +156,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -184,10 +184,10 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                  
 
 
-        end function iso_verif_egalite_nostop
+        END FUNCTION iso_verif_egalite_nostop
 
 
@@ -209,15 +209,15 @@
 
         if (iso_verif_aberrant_choix_nostop(R,1.0,ridicule, &
-                 deltalim,err_msg).eq.1) then
+                 deltalim,err_msg).eq.1) THEN
              stop
         endif 
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else        
-        write(*,*) 'iso 90: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso 90: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
@@ -240,6 +240,6 @@
 
         if (iso_verif_aberrant_enc_choix_nostop(R,1.0,ridicule, &
-                 deltalim,err_msg).eq.1) then
-             write(*,*) 'deltaD=',deltaD(R)
+                 deltalim,err_msg).eq.1) THEN
+             WRITE(*,*) 'deltaD=',deltaD(R)
              CALL abort_physic('isotopes_verif_mod > iso_verif_aberrant_encadre',err_msg,1)
              !stop             
@@ -247,10 +247,10 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else        
-        write(*,*) 'iso 90: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso 90: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
@@ -276,15 +276,15 @@
 
         if (iso_verif_aberrant_choix_nostop(xt,q,qmin, &
-                 deltaDmax,err_msg).eq.1) then
+                 deltaDmax,err_msg).eq.1) THEN
              stop
         endif
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso122: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso122: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else
-        write(*,*) 'iso126: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso126: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
@@ -313,15 +313,15 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else
-        write(*,*) 'iso160: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso160: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif           
         
 
-        end function iso_verif_aberrant_nostop
+        END FUNCTION iso_verif_aberrant_nostop
 
         function iso_verif_aberrant_enc_nostop(R,err_msg)
@@ -345,14 +345,14 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else
-        write(*,*) 'iso160: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso160: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
 
-        end function iso_verif_aberrant_enc_nostop
+        END FUNCTION iso_verif_aberrant_enc_nostop
 
         !************************************
@@ -379,27 +379,27 @@
 
 #ifdef ISOVERIF        
-        if (iso_verif_noNaN_nostop(q,err_msg).eq.1) then
-            write(*,*) 'q=',q
+        if (iso_verif_noNaN_nostop(q,err_msg).eq.1) THEN
+            WRITE(*,*) 'q=',q
             iso_verif_aberrant_choix_nostop=1
         endif      
-        if (iso_verif_noNaN_nostop(xt,err_msg).eq.1) then
-            write(*,*) 'xt=',xt
+        if (iso_verif_noNaN_nostop(xt,err_msg).eq.1) THEN
+            WRITE(*,*) 'xt=',xt
             iso_verif_aberrant_choix_nostop=1
         endif
 #endif
 
-        if (q.gt.qmin) then
+        if (q.gt.qmin) THEN
         if ((deltaD(xt/q).gt.deltaDmax).or. &
                 (deltaD(xt/q).lt.-borne).or. &
                 (xt.lt.-borne).or. &
-                (xt.gt.borne)) then
-            write(*,*) 'erreur detectee par '// &
+                (xt.gt.borne)) THEN
+            WRITE(*,*) 'erreur detectee par '// &
                    'iso_verif_aberrant_choix_nostop:'
-            write(*,*) err_msg
-            write(*,*) 'q,deltaD=',q,deltaD(xt/q)
-            write(*,*) 'deltaDmax=',deltaDmax
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'q,deltaD=',q,deltaD(xt/q)
+            WRITE(*,*) 'deltaDmax=',deltaDmax
             iso_verif_aberrant_choix_nostop=1
-            if (abs(xt-q)/q.lt.errmax) then
-                write(*,*) 'attention, n''a-t-on pas confondu'// &
+            if (abs(xt-q)/q.lt.errmax) THEN
+                WRITE(*,*) 'attention, n''a-t-on pas confondu'// &
                  ' iso_HDO et iso_eau dans l''appel à la verif?'
             endif
@@ -408,15 +408,15 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else
-        write(*,*) 'iso 209: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso 209: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
         
 
-        end function iso_verif_aberrant_choix_nostop
+        END FUNCTION iso_verif_aberrant_choix_nostop
 
         function iso_verif_aberrant_enc_choix_nostop(xt,q,   &
@@ -436,14 +436,14 @@
 
         iso_verif_aberrant_enc_choix_nostop=0
-        if (q.gt.qmin) then
+        if (q.gt.qmin) THEN
         if ((deltaD(xt/q).gt.deltaDmax).or. &
-                (deltaD(xt/q).lt.deltaDmin)) then
-            write(*,*) 'erreur detectee par '// &
+                (deltaD(xt/q).lt.deltaDmin)) THEN
+            WRITE(*,*) 'erreur detectee par '// &
                    'iso_verif_aberrant_choix_nostop:'
-            write(*,*) err_msg
-            write(*,*) 'q,deltaD=',q,deltaD(xt/q)
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'q,deltaD=',q,deltaD(xt/q)
             iso_verif_aberrant_enc_choix_nostop=1
-            if (abs(xt-q)/q.lt.errmax) then
-                write(*,*) 'attention, n''a-t-on pas confondu'// &
+            if (abs(xt-q)/q.lt.errmax) THEN
+                WRITE(*,*) 'attention, n''a-t-on pas confondu'// &
                  ' iso_HDO et iso_eau dans l''appel à la verif?'
             endif
@@ -452,15 +452,15 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) then    
-         write(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
+        if (.not.(iso_HDO.gt.0)) THEN
+         WRITE(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
           stop
         endif
 #else
-        write(*,*) 'iso 209: err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'iso 209: err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
         
 
-        end function iso_verif_aberrant_enc_choix_nostop
+        END FUNCTION iso_verif_aberrant_enc_choix_nostop
 
         !*******************
@@ -479,15 +479,14 @@
         !integer iso_verif_aberrant_o17_nostop
 
-!        write(*,*) 'O17_verif=',O17_verif
-        if (O17_verif) then
+!        WRITE(*,*) 'O17_verif=',O17_verif
+        if (O17_verif) THEN
             if (iso_verif_aberrant_o17_nostop(R17,R18,err_msg) &
-                 .eq.1) then
+                 .eq.1) THEN
                 stop
             endif
-        endif !if (O17_verif) then
-
+        endif !if (O17_verif) THEN
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
@@ -512,28 +511,26 @@
         integer iso_verif_aberrant_o17_nostop
 
-        if (O17_verif) then
-
+        if (O17_verif) THEN
         iso_verif_aberrant_o17_nostop=0
         if ((o17excess(R17,R18).gt.o17excess_haut).or. &
-                  (o17excess(R17,R18).lt.o17excess_bas)) then
-            write(*,*) 'erreur detectee par iso_verif_aberrant_O17:'
-            write(*,*) err_msg
-            write(*,*) 'o17excess=',o17excess(R17,R18)
-            write(*,*) 'deltaO17=',(R17/tnat(iso_o17)-1.0)*1000.0
-            write(*,*) 'deltaO18=',(R18/tnat(iso_O18)-1.0)*1000.0
+                  (o17excess(R17,R18).lt.o17excess_bas)) THEN
+            WRITE(*,*) 'erreur detectee par iso_verif_aberrant_O17:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'o17excess=',o17excess(R17,R18)
+            WRITE(*,*) 'deltaO17=',(R17/tnat(iso_o17)-1.0)*1000.0
+            WRITE(*,*) 'deltaO18=',(R18/tnat(iso_O18)-1.0)*1000.0
             ! attention, vérifier que la ligne suivante est bien activée
             iso_verif_aberrant_o17_nostop=1
         endif
 
-        endif  !if (O17_verif) then
-
+        endif  !if (O17_verif) THEN
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
         
 
-        end function iso_verif_aberrant_o17_nostop
+        END FUNCTION iso_verif_aberrant_o17_nostop
 
 
@@ -552,10 +549,10 @@
         !integer iso_verif_noNAN_nostop
 
-        if (iso_verif_noNAN_nostop(x,err_msg).eq.1) then
+        if (iso_verif_noNAN_nostop(x,err_msg).eq.1) THEN
             stop
         endif
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg iso443=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg iso443=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -577,10 +574,10 @@
         integer iso_verif_noNAN_nostop
 
-        if ((x.gt.-borne).and.(x.lt.borne)) then
+        if ((x.gt.-borne).and.(x.lt.borne)) THEN
                 iso_verif_noNAN_nostop=0
         else
-            write(*,*) 'erreur detectee par iso_verif_nonNAN:'
-            write(*,*) err_msg
-            write(*,*) 'x=',x
+            WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x=',x
             iso_verif_noNAN_nostop=1
         endif      
@@ -588,10 +585,10 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg iso 482=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg iso 482=',err_msg,': pourquoi verif?'
         stop
 #endif           
 
 
-        end function iso_verif_noNaN_nostop
+        END FUNCTION iso_verif_noNaN_nostop
 
         SUBROUTINE iso_verif_noNaN_vect2D(x,err_msg,ni,n,m)
@@ -614,9 +611,9 @@
         do ixt=1,ni
          if ((x(ixt,i,j).gt.-borne).and. &
-                  (x(ixt,i,j).lt.borne)) then
+                  (x(ixt,i,j).lt.borne)) THEN
          else !if ((x(ixt,i,j).gt.-borne).and.
-            write(*,*) 'erreur detectee par iso_verif_nonNAN:'
-            write(*,*) err_msg
-            write(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
+            WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
             stop
          endif  !if ((x(ixt,i,j).gt.-borne).and.
@@ -627,5 +624,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg iso525=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg iso525=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -652,9 +649,9 @@
         do ixt=1,ni
          if ((x(ixt,i).gt.-borne).and. &
-                  (x(ixt,i).lt.borne)) then
+                  (x(ixt,i).lt.borne)) THEN
          else !if ((x(ixt,i,j).gt.-borne).and.
-            write(*,*) 'erreur detectee par iso_verif_nonNAN:'
-            write(*,*) err_msg
-            write(*,*) 'x,ixt,i=',x(ixt,i),ixt,i
+            WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x,ixt,i=',x(ixt,i),ixt,i
             stop
          endif  !if ((x(ixt,i,j).gt.-borne).and.
@@ -664,5 +661,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg iso525=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg iso525=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -688,5 +685,5 @@
 
         if (iso_verif_egalite_choix_nostop( &
-                  a,b,err_msg,erabs,errel).eq.1) then
+                  a,b,err_msg,erabs,errel).eq.1) THEN
            stop
         endif
@@ -694,5 +691,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif           
@@ -721,22 +718,22 @@
 
 #ifdef ISOVERIF
-        if (iso_verif_noNaN_nostop(a,err_msg).eq.1) then
-            write(*,*) 'a=',a
+        if (iso_verif_noNaN_nostop(a,err_msg).eq.1) THEN
+            WRITE(*,*) 'a=',a
             iso_verif_egalite_choix_nostop=1
         endif      
-        if (iso_verif_noNaN_nostop(b,err_msg).eq.1) then
-            write(*,*) 'b=',b
+        if (iso_verif_noNaN_nostop(b,err_msg).eq.1) THEN
+            WRITE(*,*) 'b=',b
             iso_verif_egalite_choix_nostop=1
         endif      
 #endif
 
-        if (abs(a-b).gt.erabs) then
+        if (abs(a-b).gt.erabs) THEN
           if (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
-                  .gt.errel) then
-            write(*,*) 'erreur detectee par iso_verif_egalite:'
-            write(*,*) err_msg
-            write(*,*) 'a=',a
-            write(*,*) 'b=',b
-            write(*,*) 'erabs,errel=',erabs,errel
+                  .gt.errel) THEN
+            WRITE(*,*) 'erreur detectee par iso_verif_egalite:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'a=',a
+            WRITE(*,*) 'b=',b
+            WRITE(*,*) 'erabs,errel=',erabs,errel
             iso_verif_egalite_choix_nostop=1
 !            stop
@@ -746,10 +743,10 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif           
         
 
-        end function iso_verif_egalite_choix_nostop       
+        END FUNCTION iso_verif_egalite_choix_nostop
 
 
@@ -770,5 +767,5 @@
 
         if (iso_verif_positif_choix_nostop(x,ridicule,err_msg) &
-                 .eq.1) then
+                 .eq.1) THEN
            stop
         endif
@@ -776,5 +773,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'iso_verif 637: err_msg=',err_msg, &
+        WRITE(*,*) 'iso_verif 637: err_msg=',err_msg, &
                  ': pourquoi verif?'
         stop
@@ -801,13 +798,13 @@
         iso_verif_positif_nostop=0
         do i=1,n
-          if (x(i).lt.-ridicule) then
+          if (x(i).lt.-ridicule) THEN
             iso_verif_positif_nostop=1
             ifaux=i
           endif
         enddo 
-        if (iso_verif_positif_nostop.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_positif_vect:'
-          write(*,*) err_msg
-          write(*,*) 'i,x=',ifaux,x(ifaux)
+        if (iso_verif_positif_nostop.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_positif_vect:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,x=',ifaux,x(ifaux)
           stop
         endif   
@@ -831,13 +828,13 @@
         iso_verif_positif_nostop=0
         do i=1,n
-          if (x(i).lt.-ridic) then
+          if (x(i).lt.-ridic) THEN
                 iso_verif_positif_nostop=1
                 ifaux=i
           endif
         enddo 
-        if (iso_verif_positif_nostop.eq.1) then                        
-         write(*,*) 'erreur detectee par iso_verif_positif_choix_vect:'
-         write(*,*) err_msg
-         write(*,*) 'i,x=',ifaux,x(ifaux)
+        if (iso_verif_positif_nostop.eq.1) THEN
+         WRITE(*,*) 'erreur detectee par iso_verif_positif_choix_vect:'
+         WRITE(*,*) err_msg
+         WRITE(*,*) 'i,x=',ifaux,x(ifaux)
          stop
         endif   
@@ -860,5 +857,5 @@
 
         if (iso_verif_positif_strict_nostop(x,err_msg) &
-                 .eq.1) then
+                 .eq.1) THEN
            stop
         endif            
@@ -880,10 +877,10 @@
         integer iso_verif_positif_strict_nostop
 
-        if (x.gt.0.0) then
+        if (x.gt.0.0) THEN
             iso_verif_positif_strict_nostop=0
         else     
-            write(*,*) 'erreur detectee par iso_verif_positif_strict:'
-            write(*,*) err_msg
-            write(*,*) 'x=',x  
+            WRITE(*,*) 'erreur detectee par iso_verif_positif_strict:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x=',x
             iso_verif_positif_strict_nostop=1    
 !            stop  
@@ -891,5 +888,5 @@
         
 
-        end function iso_verif_positif_strict_nostop
+        END FUNCTION iso_verif_positif_strict_nostop
 
 !******************
@@ -909,5 +906,5 @@
 
         if (iso_verif_positif_choix_nostop(x,ridic,err_msg) &
-                 .eq.1) then
+                 .eq.1) THEN
            stop
         endif
@@ -915,5 +912,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'iso_verif 801: err_msg=',err_msg, &
+        WRITE(*,*) 'iso_verif 801: err_msg=',err_msg, &
                  ': pourquoi verif?'
         stop
@@ -944,5 +941,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'iso_verif 837: err_msg=',err_msg, &
+        WRITE(*,*) 'iso_verif 837: err_msg=',err_msg, &
                  ': pourquoi verif?'
         stop
@@ -951,5 +948,5 @@
         
 
-        end function iso_verif_positif_nostop
+        END FUNCTION iso_verif_positif_nostop
 
         !******************
@@ -967,8 +964,8 @@
         integer iso_verif_positif_choix_nostop
 
-        if (x.lt.-ridic) then
-            write(*,*) 'erreur detectee par iso_verif_positif_nostop:'
-            write(*,*) err_msg
-            write(*,*) 'x=',x
+        if (x.lt.-ridic) THEN
+            WRITE(*,*) 'erreur detectee par iso_verif_positif_nostop:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'x=',x
             iso_verif_positif_choix_nostop=1
         else
@@ -979,5 +976,5 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'iso_verif 877: err_msg=',err_msg, &
+        WRITE(*,*) 'iso_verif 877: err_msg=',err_msg, &
                  ': pourquoi verif?'
         stop
@@ -985,5 +982,5 @@
         
 
-        end function iso_verif_positif_choix_nostop
+        END FUNCTION iso_verif_positif_choix_nostop
 
 
@@ -1004,5 +1001,5 @@
         !integer iso_verif_O18_aberrant_nostop
 
-        if (iso_verif_O18_aberrant_nostop(Rd,Ro,err_msg).eq.1) then
+        if (iso_verif_O18_aberrant_nostop(Rd,Ro,err_msg).eq.1) THEN
             stop
         endif
@@ -1036,11 +1033,11 @@
               (deltaD.gt.deltalim).or.(deltao.gt.deltalim/8.0).or. &
               ((deltaD.gt.-500.0).and.((dexcess.lt.dexcess_min) &
-              .or.(dexcess.gt.dexcess_max)))) then
-            write(*,*) 'erreur detectee par iso_verif_O18_aberrant:'
-            write(*,*) err_msg
-            write(*,*) 'delta180=',deltao
-            write(*,*) 'deltaD=',deltaD
-            write(*,*) 'Dexcess=',dexcess
-            write(*,*) 'tnat=',tnat
+              .or.(dexcess.gt.dexcess_max)))) THEN
+            WRITE(*,*) 'erreur detectee par iso_verif_O18_aberrant:'
+            WRITE(*,*) err_msg
+            WRITE(*,*) 'delta180=',deltao
+            WRITE(*,*) 'deltaD=',deltaD
+            WRITE(*,*) 'Dexcess=',dexcess
+            WRITE(*,*) 'tnat=',tnat
 !            stop
             iso_verif_O18_aberrant_nostop=1
@@ -1049,10 +1046,10 @@
 #ifdef ISOVERIF
 #else
-        write(*,*) 'err_msg=',err_msg,': pourquoi verif?'
+        WRITE(*,*) 'err_msg=',err_msg,': pourquoi verif?'
         stop
 #endif                   
 
 
-        end function iso_verif_O18_aberrant_nostop
+        END FUNCTION iso_verif_O18_aberrant_nostop
 
 
@@ -1064,12 +1061,12 @@
 
         
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
            deltaD=(R/tnat(iso_HDO)-1)*1000.0
         else
-            write(*,*) 'iso_verif_egalite>deltaD 260: iso_HDO.gt.0=', &
+            WRITE(*,*) 'iso_verif_egalite>deltaD 260: iso_HDO.gt.0=', &
                  iso_HDO.gt.0
         endif
 
-        end function deltaD
+        END FUNCTION deltaD
 
         ! **********
@@ -1079,12 +1076,12 @@
         real R,deltaO
         
-        if (iso_O18.gt.0) then
+        if (iso_O18.gt.0) THEN
            deltaO=(R/tnat(iso_O18)-1)*1000.0
         else
-            write(*,*) 'iso_verif_egalite>deltaO18 260: iso_O18.gt.0=', &
+            WRITE(*,*) 'iso_verif_egalite>deltaO18 260: iso_O18.gt.0=', &
                  iso_O18.gt.0
         endif
 
-        end function deltaO
+        END FUNCTION deltaO
 
         ! **********
@@ -1094,13 +1091,13 @@
         real RD,RO,deltaD,deltaO,dexcess
         
-        if ((iso_O18.gt.0).and.(iso_HDO.gt.0)) then
+        if ((iso_O18.gt.0).and.(iso_HDO.gt.0)) THEN
            deltaD=(RD/tnat(iso_HDO)-1)*1000.0
            deltaO=(RO/tnat(iso_O18)-1)*1000.0
            dexcess=deltaD-8*deltaO
         else
-            write(*,*) 'iso_verif_egalite 1109: iso_O18,iso_HDO=',iso_O18,iso_HDO
-        endif
-
-        end function dexcess
+            WRITE(*,*) 'iso_verif_egalite 1109: iso_O18,iso_HDO=',iso_O18,iso_HDO
+        endif
+
+        END FUNCTION dexcess
 
 
@@ -1114,5 +1111,5 @@
         delta_all=(R/tnat(ixt)-1)*1000.0
 
-        end function delta_all
+        END FUNCTION delta_all
 
         ! **********
@@ -1125,5 +1122,5 @@
         delta_to_R=(delta/1000.0+1.0)*tnat(ixt)
 
-        end function delta_to_R
+        END FUNCTION delta_to_R
 
          ! **********
@@ -1133,15 +1130,14 @@
         real R17,R18,o17excess
         
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            
+        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
            o17excess=1e6*(log(R17/tnat(iso_o17)) &
                  -0.528*log(R18/tnat(iso_O18)))
-!           write(*,*) 'o17excess=',o17excess
+!           WRITE(*,*) 'o17excess=',o17excess
         else
-            write(*,*) 'iso_verif_egalite>deltaD 260: iso_O17.gt.0,18=', &
+            WRITE(*,*) 'iso_verif_egalite>deltaD 260: iso_O17.gt.0,18=', &
                  iso_O17.gt.0,iso_O18.gt.0
         endif
 
-        end function o17excess
+        END FUNCTION o17excess
 
         !       ****************
@@ -1164,14 +1160,14 @@
         integer ifaux,jfaux
 
-        !write(*,*) 'iso_verif_egalite_vect2D 1099 tmp: q(2,1),xt(iso_eau,2,1)=',q(2,1),xt(iso_eau,2,1)
-        !write(*,*) 'ni,n,m=',ni,n,m,errmax,errmaxrel
-        if (iso_eau.gt.0) then
+        !WRITE(*,*) 'iso_verif_egalite_vect2D 1099 tmp: q(2,1),xt(iso_eau,2,1)=',q(2,1),xt(iso_eau,2,1)
+        !WRITE(*,*) 'ni,n,m=',ni,n,m,errmax,errmaxrel
+        if (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) then
+          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
            if (abs((q(i,j)-xt(iso_eau,i,j))/ &
                  max(max(abs(q(i,j)),abs(xt(iso_eau,i,j))),1e-18)) &
-                 .gt.errmaxrel) then
+                 .gt.errmaxrel) THEN
               iso_verif_egalite_nostop_loc=1
               ifaux=i
@@ -1182,9 +1178,9 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'xt,q=',xt(iso_eau,ifaux,jfaux),q(ifaux,jfaux)
+        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'xt,q=',xt(iso_eau,ifaux,jfaux),q(ifaux,jfaux)
           stop
         endif 
@@ -1215,26 +1211,25 @@
         integer ifaux
 
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=1,n
-          if (abs(q(i)-xt(iso_eau,i)).gt.errmax) then
+          if (abs(q(i)-xt(iso_eau,i)).gt.errmax) THEN
            if (abs((q(i)-xt(iso_eau,i))/ &
                  max(max(abs(q(i)),abs(xt(iso_eau,i))),1e-18)) &
-                 .gt.errmaxrel) then
+                 .gt.errmaxrel) THEN
               iso_verif_egalite_nostop_loc=1
               ifaux=i
            endif !if (abs((q(i)-xt(iso_eau,i))/
-          endif !if (abs(q(i)-xt(iso_eau,i)).gt.errmax) then
+          endif !if (abs(q(i)-xt(iso_eau,i)).gt.errmax) THEN
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i=',ifaux
-          write(*,*) 'xt,q=',xt(iso_eau,ifaux),q(ifaux)
+        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i=',ifaux
+          WRITE(*,*) 'xt,q=',xt(iso_eau,ifaux),q(ifaux)
           stop
-        endif  !if (iso_verif_egalite_nostop.eq.1) then
-        endif !if (iso_eau.gt.0) then
-
+        endif  !if (iso_verif_egalite_nostop.eq.1) THEN
+        endif !if (iso_eau.gt.0) THEN
         END SUBROUTINE  iso_verif_egalite_vect1D
 
@@ -1259,8 +1254,8 @@
         do i=1,n
          do j=1,m
-          if (abs(a(i,j)-b(i,j)).gt.errmax) then
+          if (abs(a(i,j)-b(i,j)).gt.errmax) THEN
            if (abs((a(i,j)-b(i,j))/ &
                  max(max(abs(a(i,j)),abs(b(i,j))),1e-18)) &
-                 .gt.errmaxrel) then
+                 .gt.errmaxrel) THEN
               iso_verif_egalite_nostop_loc=1
               ifaux=i
@@ -1271,9 +1266,9 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'a,b=',a(ifaux,jfaux),b(ifaux,jfaux)
+        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'a,b=',a(ifaux,jfaux),b(ifaux,jfaux)
           stop
         endif 
@@ -1299,13 +1294,13 @@
         !real deltaD
 
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
+          if (q(i,j).gt.ridicule) THEN
             if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .gt.deltalim).or. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .lt.-borne)) then
+                         .lt.-borne)) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
@@ -1316,15 +1311,14 @@
         enddo !do i=1,n
 
-        if (iso_verif_aberrant_nostop_loc.eq.1) then
-          write(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
-          write(*,*) err_msg
-          write(*,*) 'i,j=',ifaux,jfaux
-          write(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
+        if (iso_verif_aberrant_nostop_loc.eq.1) THEN
+          WRITE(*,*) 'erreur detectee par iso_verif_aberrant_vect2D:'
+          WRITE(*,*) err_msg
+          WRITE(*,*) 'i,j=',ifaux,jfaux
+          WRITE(*,*) 'deltaD=',deltaD(xt(iso_HDO,ifaux,jfaux) &
                  /q(ifaux,jfaux))
-          write(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
+          WRITE(*,*) 'xt(:,ifaux,jfaux)=',xt(:,ifaux,jfaux)
           stop
         endif  
-        endif !if (iso_HDO.gt.0) then
-
+        endif !if (iso_HDO.gt.0) THEN
         END SUBROUTINE  iso_verif_aberrant_vect2D
 
@@ -1347,9 +1341,9 @@
         !real deltaD
 
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) then 
+          if (q(i,j).gt.ridicule) THEN
             if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .gt.deltalim).or. &
@@ -1357,5 +1351,5 @@
                          .lt.deltaDmin).or. &
                  (xt(iso_HDO,i,j).lt.-borne).or. &
-                 (xt(iso_HDO,i,j).gt.borne)) then
+                 (xt(iso_HDO,i,j).gt.borne)) THEN
               iso_verif_aberrant_nostop_loc=1
               ifaux=i
